package cn.myhug.devlib.newnetwork

import cn.myhug.adp.R
import cn.myhug.adp.base.BdBaseApplication

/**
 * Created by zhengxin on 2018/2/8.
 */

object NetworkConfig {
    var HOST: String
    var UA: String
    var MEDIA: String

    var URLNAME: String = "urlname"
    var URL_MEDIA : String = "media"

    init {
        val resource = BdBaseApplication.getInst().resources
        HOST = resource.getString(R.string.network_host)
        MEDIA = resource.getString(R.string.network_media)

        UA = resource.getString(R.string.network_UA)
    }
}
