package cn.myhug.devlib.utils

import com.google.gson.Gson
import com.google.gson.GsonBuilder

import java.lang.reflect.Type

/**
 * Created by zhengxin on 2018/2/12.
 */

object JsonUtil {
    var mGson: Gson = GsonBuilder()
            .create()

    fun toJson(obj: Any): String {
        return mGson.toJson(obj)
    }

    fun <T> convertJson(json: String, mClass: Class<out T>): T? {
        try {
            return mGson.fromJson(json, mClass)
        } catch (e: Exception) {
            e.printStackTrace()
        }

        return null
    }

    fun <T> convertJson(json: String, mType: Type): T? {
        try {
            return mGson.fromJson<T>(json, mType)
        } catch (e: Exception) {
            e.printStackTrace()
        }

        return null
    }
}
